Geospatial analysis software has a few prominent strains:

* Esri & other closed-source, proprietary libraries
* Open source libraries in the lineage of JTS

# Python

* [Shapely](https://pypi.python.org/pypi/Shapely) is a friendly Python binding to GEOS
* [geopandas](http://geopandas.org/) is a layer on top of Shapely and Fiona for PostGIS-like tasks

# C++

* [GEOS](http://trac.osgeo.org/geos/) is a port of JTS to C++

# JavaScript

* [jsts](https://github.com/bjornharrtell/jsts) is a port of JTS to JavaScript

# Java

* [JTS](http://tsusiatsoftware.net/jts/main.html)

# Go

* [gogeos](http://paulsmith.github.io/gogeos/) is a Go binding to GEOS
* [go.geo](https://github.com/paulmach/go.geo) is a pure-Go implementation of some geometry operations and primitives

# Postgres

* [PostGIS](http://postgis.net/) provides geospatial operations within the Postgres database. Advanced operations rely on GEOS.
